import { BulkIdsDto } from 'src/dtos/asset-ids.response.dto';
import { AuthDto } from 'src/dtos/auth.dto';
import { TrashResponseDto } from 'src/dtos/trash.dto';
import { TrashService } from 'src/services/trash.service';
export declare class TrashController {
    private service;
    constructor(service: TrashService);
    emptyTrash(auth: AuthDto): Promise<TrashResponseDto>;
    restoreTrash(auth: AuthDto): Promise<TrashResponseDto>;
    restoreAssets(auth: AuthDto, dto: BulkIdsDto): Promise<TrashResponseDto>;
}
